CDRWTOOL(1)

NAME
cdrwtool - perform various actions on a CD-R, CD-RW, and DVD-R

SYNOPSIS
cdrwtool -d device -i | -g

cdrwtool -d device -s [ write-parameters ]

cdrwtool -d device -q [ write-parameters ]

cdrwtool -d device -m offset [ write-parameters ]

cdwrtool -d device -u blocks [ write-parameters ]

cdrwtool -d device -b b_mode [ write-parameters ]

cdrwtool -d device -c blocks [ write-parameters ]

cdwrtool -d device -f filename [ write-parameters ]

cdwrtool -d device -r track [ write-parameters ]

cdrwtool -h

DESCRIPTION
The cdwrtool command can perform certain actions on a CD-R, CD-RW, or DVD-R device. Mainly these are blanking the media, formatting it for use with the packet-cd device, and applying an UDF filesystem.

The most common usage is probably the `quick setup' option:

    cdrwtool -d device -q

which will blank the disc, format it as one large track, and write the UDF filesystem structures.

Other options get and set various parameters of how the device is set up, and provide for different offsets, modes and settings from the defaults.

The usefulness of most of the options is not explained.

OPTIONS
Main directives:

-d device
    Specify the device to use. eg. /dev/sr0

-i  Print disc track info.

-g  Print write parameters.

-u length
    Make a UDF filesystem using length number of blocks.

-q  `Quick setup': blank the disc, format it as one large track and write a UDF filesystem.

-m offset
    Format the disc at offset number of blocks.

-b mode
    Blank the disk using a mode of `full' or `fast'.

-f filename
    Write file.

-c track
    Close track.

-r track
    Reserve track.

-z length
    Fixed packet length.

-s  Set write parameters determined by -l, -w, and -p options for the disc.

-v version
    Specify the udf revision to use. Valid revisions are 0x0201, 0x0200 and 0x0150. If omitted, mkudffs udf-version is 0x0150.

-h  Prints a sparse help message.

Write parameters:

-t speed
    Set write speed. (Defaults to 12x ?)

-l type
    Set multi-session field. Either `0' (default), `1', or `3', corresponding to `No B0 pointer. Next Session not allowed', `B0 pointer = FF:FF:FF. Next session not allowed', and `Next session allowed. B0 pointer = next possible program area' respectively.

-w mode
    Set write mode. Either `mode1' or `mode2' (default).

-p type
    Set packet type. Either `0' or `1' (default), corresponding to variable and fixed packet sizes respectively.

-o offset
    Set write offset.

BUGS
Many modern drives refuse on the preparations to format new, blanked, or appendable CD-RW media. This causes a message like

    Command failed: 55 ... - sense ...

The remedy is to use a CD-capable burn program for writing a session and closing the medium. For example by using any of "cdrecord", "wodim", "cdrskin", or "xorriso -as cdrecord" as content of variable prog in:

    prog="xorriso -as cdrecord"
    drive="/dev/sr0"
    dd if=/dev/zero bs=1M count=10 | $prog -v -eject dev="$drive" -

AUTHORS
Jens Axboe <axboe@suse.de>
Ben Fennema
Some additions by Richard Atterer <atterer@debian.org>
BUGS note about closing medium by Thomas Schmitt <scdbackup@gmx.net>

AVAILABILITY
cdrwtool is part of the udftools package and is available from https://github.com/pali/udftools/.

SEE ALSO
pktsetup(8), cdrecord(1), wodim(1), cdrskin(1), xorriso(1)